%MINQMEX Find at most N local extrema values of the profile(AQ,QQ)
% using local quadratic interpolation. Count N starting outboard
% Also finds extrema at edge of domain.
% [AQMIN,QMIN] = MINQMEX(AQ,QQ,SQ,N,NF)
% AQ: x data QQ: y data
% SQ=1: minima, SQ=-1: maxima
% optional N, default=1;
% optional NF, return value in case less than N extrema were found
%
% [+MEQ MatlabEQuilibrium Toolbox+] Swiss Plasma Center EPFL Lausanne 2022. All rights reserved.

function [aqmin,qmin] = minQmex(aQ,qQ,sq,varargin)
 warning('MEQ:MEX "%s" not compiled or not in the Matlab path',mfilename)
 
 [aqmin,qmin] = minQmexm(aQ,qQ,sq,varargin{:});
 
end